#!/usr/bin/perl

use strict;
use vars qw(@ARGV);

sub main()
{
	my $file_handle;
	my $file_path = $ARGV[0];
	my $file_name = $file_path . "/toolbar.dat";

	open($file_handle, $file_name) || die("open $file_name failed\n");

	my $is_summary = 0;
	my $is_tool = 0;
	my $line = "";

	my %summary = {};
	while($line = <$file_handle>)
	{
		$line =~ s/\r?\n?//g;

		if($line =~ /\[\s?summary\s?\]/)
		{
			$is_summary = 1;
			$is_tool = 0;
			next;
		}

		if($line =~ /\[\s?tools\s?\]/)
		{
			$is_summary = 0;
			$is_tool = 1;
			next;
		}

		if($is_summary)
		{
			my ($key, $value);
			$line =~ /([^\s]+)\s*:\s*([^\s]+)/;
			$key = $1;
			$value = $2;
			$summary{lc($key)} = $value;
		}

		if($is_tool)
		{
			my ($cmd, $img);
			$line =~ /([^\s]+)\s*([^\s]+)/;
			$cmd = $1;
			$img = $2;
			print "*" . $summary{id} . ": ";
			print "(";
			print "$summary{rows}x$summary{cols}, ";
			print "Size $summary{width} $summary{height}, ";
			print "Icon $summary{icon_path}/$img, ";
			print "Action (Mouse 1) Exec exec $cmd, ";
			print "Action (Mouse 3) Exec exec $cmd";
			print ")\n";
		}
	}

	close($file_handle);
}

main();
